mongo_options {mongolite} | R Documentation

## Mongo Options

### Description

Get and set global client options. Calling with `NULL` parameters returns current values without modifying.

### Usage

    mongo_options(log_level = NULL, bigint_as_char = NULL,
      date_as_char = NULL)

### Arguments

`log_level` | integer between 0 and 6 or `NULL` to leave unchanged.
`bigint_as_char` | logical: parse int64 as strings instead of double.
`date_as_char` | logical: parse UTC datetime as strings instead of POSIXct.

### Details

Setting log_level to 0 suppresses critical warnings and messages, while 6 is most verbose and displays all debugging information. Possible values for level are:

- `0`: error

- `1`: critical

- `2`: warning

- `3`: message

- `4`: info (default)

- `5`: debug

- `6`: trace

Note that setting it below 2 will suppress important warnings and setting below 1 will suppress critical errors (not recommended). The default is 4.

[Package mongolite version 1.6 Index]